查询AliExpress在线商品 - 托管模式
POST
/basicOpen/multiplatform/aliexpress/list/v2支持查询aliexpress-托管模式在线商品
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/basicOpen/multiplatform/aliexpress/list/v2 | HTTPS | POST | 1 |
请求参数
isParentintegerlengthintegerbrandIdsarray<any>categoryIdsarray<any>endstringoffsetintegerpairingStatusintegerplatformCodeListarray<any>priceintegerpriceConditionintegerprincipalUidsarray<any>productTypeListarray<any>productUniqueIdintegerproductUniqueIdListarray<any>quantityintegerquantityConditionintegersearchFieldintegersearchSingleValuestringsearchValuesarray<any>sortFieldstringsortTypestringstartstringstatusListarray<any>storeIdsarray<any>storeTypeinteger请求cURL示例
curl --location 'https://openapi.lingxing.com/basicOpen/multiplatform/aliexpress/list/v2?access_token=value×tamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
"isParent": 1,
"length": 20,
"brandIds": [1001,1002],
"categoryIds": [2001,2002],
"end": "2024-12-31",
"offset": 0,
"pairingStatus": 1,
"platformCodeList": ["aliexpress"],
"price": 100,
"priceCondition": 1,
"principalUids": [3001,3002],
"productTypeList": [0,1],
"productUniqueId": 1234567890,
"productUniqueIdList": [9876543210],
"quantity": 100,
"quantityCondition": 1,
"searchField": 1,
"searchSingleValue": "MSKU001",
"searchValues": ["SKU001","SKU002"],
"sortField": "createTime",
"sortType": "desc",
"start": "2024-01-01",
"statusList": ["S1","S2"],
"storeIds": [1234567890],
"storeType": 全托管
}'
返回结果
Json Object
codeinteger必填dataobject必填隐藏子属性
countinteger必填listarray<object>必填隐藏子属性
attributeNamestringattributeValuestringattributesstringautoRestockbooleanbidintegerbnamestringcidintegercnamestringcompanyIdintegercreateTimestringcurrencyCodestringday30SaleCntintegerday7SaleCntintegereffectiveSupplyPricestringextJsonstringhasListintegeridintegerimageUrlsstringinventoryQuantityintegerisDeletebooleanitemIdstringmodestringmodelstringmskustringmskuIdstringnotesstringpidintegerplatformCodestringplatformNamestringpnamestringpriceintegerprincipalNamestringprincipalUidsarray<any>productIdstringproductTypeintegerproductTypeNamestringproductUniqueIdintegerquantitySynobject隐藏子属性
afterstringbeforestringquantitySynWareHousesarray<object>隐藏子属性
afterstringbeforestringuidintegeruserNamestringwareHouseNamestringtypeintegeruidintegeruserNamestringskustringskuImagestringstatusintegerstatusNamestringstoreIdintegerstoreNamestringsupplyPriceListarray<object>隐藏子属性
beginStrstringcurrencystringendStrstringpricenumbertitlestringuniqueIdstringvariantUniqueIdstringwareHouseDataListarray<object>隐藏子属性
quantityintegerwarehouseIdstringwarehouseNamestringwarehouseStockstringerror_detailsarray<any>必填messagestring必填request_idstring必填response_timestring必填totalinteger必填返回成功示例
{
"code": 0,
"data": {
"count": 100,
"list": [
{
"attributeName": "颜色;尺寸",
"attributeValue": "红色;L码",
"attributes": "{\"color\":\"red\",\"size\":\"L\"}",
"autoRestock": "1",
"bid": 6666666666,
"bname": "自有品牌",
"cid": 5555555555,
"cname": "电子产品",
"companyId": 7777777777,
"createTime": "2024-01-15 10:30:00",
"currencyCode": "USD",
"day30SaleCnt": 150,
"day7SaleCnt": 35,
"effectiveSupplyPrice": "59.99",
"extJson": "{\"warehouse1\":100}",
"hasList": 1,
"id": 100001,
"imageUrls": "",
"inventoryQuantity": 500,
"isDelete": "value",
"itemId": "ITEM123456",
"mode": "仓发",
"model": "MODEL-2024",
"msku": "MSKU-001",
"mskuId": "9876543210",
"notes": "热销商品",
"pid": 1234567890,
"platformCode": "aliexpress",
"platformName": "速卖通",
"pname": "蓝牙耳机",
"price": 99990000,
"principalName": "张三",
"principalUids": "[3001,3002]",
"productId": "32987654321",
"productType": 0,
"productTypeName": "仓发",
"productUniqueId": 1234567890,
"quantitySyn": {
"after": "500",
"before": "450",
"quantitySynWareHouses": [
{
"after": "200",
"before": "180",
"uid": 9002,
"userName": "王五",
"wareHouseName": "广州仓"
}
],
"type": 1,
"uid": 9001,
"userName": "李四"
},
"sku": "SKU-AE-001",
"skuImage": "",
"status": 2,
"statusName": "可售",
"storeId": 8888888888,
"storeName": "我的速卖通店铺",
"supplyPriceList": [
{
"beginStr": "2024-01-01",
"currency": "USD",
"endStr": "2024-12-31",
"price": 49.99
}
],
"title": "Wireless Bluetooth Headphones",
"uniqueId": "UNI123456",
"variantUniqueId": "VAR123456",
"wareHouseDataList": [
{
"quantity": 200,
"warehouseId": "WH001",
"warehouseName": "深圳仓"
}
],
"warehouseStock": "450"
}
]
},
"error_details": [],
"message": "value",
"request_id": "value",
"response_time": "value",
"total": 1
}